Bug 11642 - Не устанавливается флажок "toggle a boottable"
: Не устанавливается флажок "toggle a boottable"
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-install2)
: unstable
: all Linux
: P1 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-28 10:42 by
Modified: 2007-11-10 18:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-28 10:42:15
При установке (винчестер SATA) и полной ручной переразбивки диска не
устанавливается флажок "toggle a boottable", что приводит к невозможности
загрузки системы после завершения установки.
Steps to Reproduce:
1. Загружаемся с CDROM (server-20070426.iso), выбираем язык "Украинский" и
выбираем пункт "Встановлення". При выборе языка, выбираем "Ukrainian".
2. 3/11: Подготовка диска. Выбираем диск sda, профиль - "Встановлення
робочої
станції", настройки - "Очистити всі диски перед застосуванням
профілю", "Усі
дані на всіх дисках будуть втрачені" -- выбираем "Гаразд" и
нажимаем "Далі".
3. Удаляем все разделы (sda1, sda2, sda5) с помощью кнопки "Видалити".
4. Удаляем таблицу разделов на диске sda - "Видалити таблицю
підрозділів".
5. Выбираем диск sda и создаем два раздела -- sda1 и sda2:
5.1. "Створити підрозділ". Настройки: размер 74526, offset 0,
primary partition
"X", Partition type "Linux", "Створити том" - "Х". Нажимаем "Так".
5.2. Выбираем файловую систему Ext2/3, точку монтирования "/".
5.3. Выбираем "<unusedl>". "Створити п&#1110;дрозд&#1110;л". Настройки: размер
1788, offset
0, primary partition "X", Partition type "Linux Swap", "Створити том" - "Х".
Нажимаем "Так".
5.4. Получаем два раздела -- sda1 (ext2/3, "/"), sda2 (SWAPFS). Нажимаем
"Дал&#1110;".
5.5. Производим запрошенные изменения (нажимаем "Гаразд").
6. Производится установка базовой системы (4/11).
7. 5.11: Bootloader setup. Для выбора есть только sda1 ("Перший сектор
п&#1110;дрозд&#1110;лу"). В связи с неимением других вариантов, жмем кнопку
"Дал&#1110;".
8. Автоматически генерируем пароль root и жмем кнопку "Дал&#1110;".
9. 7/11: Системний користувач. Имя "test". Автоматически генерируем пароль root
и жмем кнопку "Дал&#1110;".
10. 8/11: Додатков&#1110; пакунки. Выбираем все и жмем по очереди кнопки
"Дал&#1110;" и "Так".
11. 9/11: Налаштування мереж&#1110;. Жмем кнопку "Дал&#1110;".
12. 10/11: Дата/Час. Страна "Ukraine", город "Kiev". Жмем кнопку "Дал&#1110;".
13. Жмем кнопку "Завершити".
14. Система не грузится. Пишет: "Booting from local disk... Reboot and Select
proper Boot device...".

При выполнении инсталяции на русском языке, дойдя до п.7., для выбора есть MBR.
При установке на украинском -- нет.
------- Comment #1 From 2007-04-28 16:05:35 -------
Если после п. 14 загрузиться в спасательный режим и посмотреть разделы диска с
помощью fdisk -l /dev/sda, то мы увидим, что флажка "boottable" нет. Если его
выставить вручную и после этого перезагрузиться, то дальнейшая загрузка идет
нормально.
------- Comment #2 From 2007-05-04 04:34:18 -------
Fixed in alterator-install2-0.8.4-alt1